# Uses of Class
com.google.protobuf.Empty

Packages that use Empty
Package
Description
com.google.protobuf

## Uses of Empty in com.google.protobuf

Methods in com.google.protobuf that return Empty
Modifier and Type
Method
Description
`Empty`
Empty.Builder.`build()`
`Empty`
Empty.Builder.`buildPartial()`
`static Empty`
Empty.`getDefaultInstance()`
`Empty`
Empty.Builder.`getDefaultInstanceForType()`
`Empty`
Empty.`getDefaultInstanceForType()`
`static Empty`
Empty.`parseDelimitedFrom(InputStream input)`
`static Empty`
Empty.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Empty`
Empty.`parseFrom(byte[] data)`
`static Empty`
Empty.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Empty`
Empty.`parseFrom(ByteString data)`
`static Empty`
Empty.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Empty`
Empty.`parseFrom(CodedInputStream input)`
`static Empty`
Empty.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Empty`
Empty.`parseFrom(InputStream input)`
`static Empty`
Empty.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Empty`
Empty.`parseFrom(ByteBuffer data)`
`static Empty`
Empty.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type Empty
Modifier and Type
Method
Description
`Parser<Empty>`
Empty.`getParserForType()`
`static Parser<Empty>`
Empty.`parser()`
Methods in com.google.protobuf with parameters of type Empty
Modifier and Type
Method
Description
`Empty.Builder`
Empty.Builder.`mergeFrom(Empty other)`
`static Empty.Builder`
Empty.`newBuilder(Empty prototype)`